// shaders for gantry

textures/gantry/caulk
{
	qer_editorimage textures/gantry/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

// by Ingar
textures/gantry/glass_outside
{
        qer_editorimage textures/gantry/glass.tga
        qer_trans .5
        surfaceparm nolightmap
        surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
//	cull none
        {
                map textures/gantry/glass.tga
                tcGen environment
                blendfunc gl_dst_color gl_src_alpha
        }
        {
                map textures/gantry/glass.tga
                //blendfunc gl_dst_color gl_src_alpha
                blendfunc filter
        }
        {
                map $lightmap
                rgbgen identity
                blendfunc gl_dst_color gl_zero
        }
}

// by Ingar
textures/gantry/glass_inside
{
        qer_editorimage textures/gantry/glass.tga
        qer_trans .5
        surfaceparm nolightmap
        surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
//	cull none
        {
                map textures/gantry/glass.tga
                //blendfunc gl_dst_color gl_src_alpha
                blendfunc filter
        }
        {
                map $lightmap
                rgbgen identity
                blendfunc gl_dst_color gl_zero
        }
}

models/mapobjects/deadhuman/h_head
{
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/deadhuman/h_head.tga
    rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
}

textures/gantry/stormysky
{
	qer_editorimage textures/gantry/skystormy_1.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm water
    surfaceparm nobuildsurface  

	q3map_sun 0 30 30 20 280 40
	q3map_surfacelight 250
    skyparms - 384 -


	{
		map textures/gantry/skystormy_1.jpg
		tcMod scroll 0.0075 .0075
		tcMod scale 2 2
	}
	{
		map textures/gantry/skystormy_2.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.003 0.004
		tcMod scale 3 2
	}
}

textures/gantry/fog
{
qer_editorimage textures/gantry/fog.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
deformVertexes wave 200 sawtooth 1 10 .5 .5
qer_nocarve
fogparms ( 0.5 0.5 0.5 ) 1400

}

textures/gantry/wataah1
	{
		qer_editorimage textures/gantry/dankwater.jpg
		qer_trans .75
//                q3map_lightimage textures/gantry/dankwaterlight.jpg
		surfaceparm noimpact
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		surfaceparm slime
		q3map_surfacelight 10
		q3map_tessSize 128
		deformVertexes wave 50 sin 0 0.5 0.5 0.75

		{
			map textures/gantry/dankwater.jpg
			tcMod turb .15 .1 1 .025
			tcMod scroll .0001 .0002
		}
}

textures/gantry/grate2a_transp
{
	qer_editorimage textures/gantry/grate2a.tga
	surfaceparm alphashadow
    surfaceparm metalsteps		
    surfaceparm nomarks
      {
		map textures/gantry/grate2a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/gantry/lig_rustflick
{
	qer_editorimage textures/gantry/064lig22ya.tga
	q3map_lightimage textures/gantry/064lig22y.blend.tga
	q3map_surfacelight 1600
	surfaceparm nomarks
	{
		map textures/gantry/064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gantry/lig_rustflick2
{
	qer_editorimage textures/gantry/064lig22ya.tga
	q3map_lightimage textures/gantry/064lig22y.blend.tga
	q3map_surfacelight 800
	surfaceparm nomarks
	{
		map textures/gantry/064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gantry/lig_bluezap
{
	qer_editorimage textures/gantry/032lig20bb.tga
	q3map_lightimage textures/gantry/032lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	q3map_lightRGB .45 .45 1
	{
		map textures/gantry/032lig20bb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/032lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gantry/lig_redzap
{
	qer_editorimage textures/gantry/032lig20rr.tga
	q3map_lightimage textures/gantry/032lig20r.blend.tga
	q3map_surfacelight 1250
	q3map_lightRGB 1 .45 .45
	surfaceparm nomarks
	{
		map textures/gantry/032lig20rr.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gantry/lig_smallbluezap
{
	qer_editorimage textures/gantry/cubelight_32_blue.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB .45 .45 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_blue.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/gantry/lig_smallwhitzap
{
	qer_editorimage textures/gantry/cubelight_32_white.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_white.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/gantry/doorforce
{
	qer_editorimage textures/gantry/force_field.jpg
        qer_trans .5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	q3map_surfacelight 200
	{
		map textures/gantry/force_field.jpg
		blendfunc add
		tcMod scroll 50 30
		rgbGen wave noise 0 1 0.1 1
		tcMod turb .15 .1 1 .025
	}
}

textures/gantry/ladder
{
	qer_trans .4
 	qer_editorimage textures/gantry/ladder.tga
 	surfaceparm ladder
 	surfaceparm nodraw
 	surfaceparm nolightmap
 	surfaceparm nonsolid
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm noimpact
 	surfaceparm playerclip
      surfaceparm nobuildsurface
}

textures/gantry/spark_01_s
{
	qer_editorimage textures/gantry/spark_01.tga
	entityMergable
	cull none
	{
		map textures/gantry/spark_01.tga
		blendFunc add
		rgbGen		const ( 1 1 1 )
		alphaGen	vertex
	}
}

textures/gantry/qfraggel_GT_chain
{
	qer_editorimage textures/gantry/qfraggel_GT_chain.tga
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/gantry/qfraggel_GT_chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/gantry/slime_s
	{
		qer_editorimage textures/gantry/slime7.tga
		q3map_lightimage textures/gantry/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		{
			map textures/gantry/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/gantry/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}


textures/gantry/fan_s
{
	qer_editorimage textures/gantry/fan.tga
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		clampmap textures/gantry/fan.tga
		tcMod rotate 200
		depthWrite
		rgbGen const ( 0.5 0.5 0.5 )
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/gantry/fangrate
{
	qer_editorimage textures/gantry/evil6_floor_e6xgratebasic_b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/gantry/evil6_floor_e6xgratebasic_b.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}


textures/gantry/e6metalfan_s
{
	qer_editorimage textures/gantry/e6metalfan.tga

	{
		map textures/gantry/e6metalfan_blade.tga
		tcmod rotate 5000
	}
	{
		map textures/gantry/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/gantry/dusty
{
        qer_editorimage textures/gantry/dust.tga
	cull none
	entityMergable
	{
		map textures/gantry/dust.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/gantry/bloody
{
	qer_editorimage textures/gantry/bloody.tga
	cull none
	entityMergable
	{
		map textures/gantry/bloody.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/gantry/bloodyspot
{
	qer_editorimage textures/gantry/stannum_blood1.jpg
        surfaceparm noimpact
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/gantry/stannum_blood1.jpg
		blendfunc filter
	}	cull none
}

textures/gantry/e6horzlight_s_nolight
{
	qer_editorimage textures/gantry/e6horzlight.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	
	{
		map textures/gantry/e6horzlight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/gantry/e6horzlight_blend.tga
		blendfunc add
	}
}
	


textures/gantry/e6tekmtlrflr_h_small_noisy_fast
{
	qer_editorimage textures/gantry/e6tekmtlrflr_h.tga
        q3map_surfacelight 400

	{
		map textures/gantry/e6tekmtlrflr_h.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/gantry/e6tekmtlrflr_h_glow.tga
		rgbgen wave noise .9 .2 0 4
		blendfunc add
	}
}

textures/gantry/e6grate_flr_b_s
{
	qer_editorimage textures/gantry/e6grtflr2bl.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/gantry/e6grtflr2bl.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/gantry/proto_lightred_64
{
	qer_editorimage textures/gantry/cubelight_32_red.jpg
	surfaceparm nomarks
        q3map_surfacelight 2000
	q3map_lightRGB 1 .45 .45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/gantry/gkcspinemoveb
 {
 	qer_editorimage textures/gantry/wmetal3.tga
 	tessSize 128
 	deformVertexes wave 100 sin 3 1 0 0.6
 	{
 		map textures/gantry/wmetal3.tga
 		rgbGen identity
	}
 	{
 		map $lightmap 
 		blendfunc filter
 		rgbGen identity
 		tcGen lightmap 
 	}
}


textures/gantry/lig_redroof
{
	qer_editorimage textures/gantry/e6mtltpnlr.tga
	q3map_lightimage textures/gantry/e6mtltpnlr_blend.tga
	q3map_surfacelight 1500
	q3map_lightRGB 1 .45 .45
	surfaceparm nomarks
	{
		map textures/gantry/e6mtltpnlr.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/e6mtltpnlr_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gantry/lig_redroof2
{
	qer_editorimage textures/gantry/e6horzr.jpg
	q3map_lightimage textures/gantry/e6horzr_blend.jpg
	q3map_surfacelight 2200
	q3map_lightRGB 1 .45 .45
	surfaceparm nomarks
	{
		map textures/gantry/e6horzr.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gantry/e6horzr_blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
